local L =  AceLibrary("AceLocale-2.2"):new("MoBuffs")

-- begin adding localization support
L:RegisterTranslations("frFR", function() return {
-- misc. text
	["MoBuffs"] = "MoBuffs",
	["missing"] = "missing",
	["active"] = "active",
	["Party"] = "Groupe",
	["Raid"] = "Raid",
-- option menu text
	["Skip Shadow Prot Buff"] = "Skip Shadow Prot Buff",                         -- menu option
	["Skip check for priest Shadow Protection Buff"] = "Skip check for priest Shadow Protection Buff",  -- menu option description
	["Skip Weapon Buff"] = "Skip Weapon Buff",                              -- menu option
	["Skip check for Weapon Buffs"] = "Skip check for Weapon Buffs",                   -- menu option description
	["Skip Food Buff"] = "Skip Food Buff",                                -- menu option
	["Skip check for Food Buffs"] = "Skip check for Food Buffs",                     -- menu option description
-- talent tree names -- move this to Babble-SpellTree-2.2
	["Marksmanship"] = "Précision",
	["Discipline"] = "Discipline",
-- battle and guardian buffs
-- these check the buff descriptions on the buff icon for the line about "counts as both Battle and Guardian Elixir", etc.
	["Battle and Guardian Elixir"] = "Battle and Guardian Elixir",      -- regex for battle and guardian elixir
	["Battle Elixir"] = "Battle Elixir",                   -- regex for battle elixir
	["Guardian Elixir"] = "Guardian Elixir",                 -- regex for guardian elixir
-- food buffs
	["Well Fed"] = "Bien nourri",                        -- Most Foods
	["\"Well Fed\""] = "\"Bien nourri\"",                    -- Filled Yellow Brewfest Stein
	["Increased Stamina"] = "Increased Stamina",               -- Dirge"s Kickin" Chimaerok Chops
	["Electrified"] = "Electrified",                     -- Stormchops
	["Rumsey Rum Black Label"] = "Rumsey Rum Black Label",          -- Rumsey Rum Black Label
	["Enlightened"] = "Enlightened",                     -- Skullfish Soup
-- flask buffs
	["^Unstable Flask of the "] = "^Unstable Flask of the ",         -- regex for BE Flasks (only in BE or Gruuls)
	["^Shattrath Flask of "] = "^Shattrath Flask of ",            -- regex for Shattrath Flasks
	["^Flask of "] = "^Flask of ",                      -- regex for most other Flasks
	["Chromatic Resistance"] = "Résistance chromatique",            -- Flask of Chromatic Resistance
	["Chromatic Wonder"] = "Merveille chromatique",                -- Flask of Chromatic Wonder
	["Distilled Wisdom"] = "Sagesse distillée",                -- Flask of Distilled Wisdom
	["Supreme Power"] = "Pouvoir suprême",                   -- Flask of Supreme Power
	["Relentless Assault of Shattrath"] = "Attaque implacable de Shattrath", -- Shattrath Flask of Relentless Assault
	["Fortification of Shattrath"] = "Fortifiant de Shattrath",      -- Shattrath Flask of Fortification
	["Mighty Restoration of Shattrath"] = "Puissante restauration de Shattrath", -- Shattrath Flask of Mighty Restoration
	["Supreme Power of Shattrath"] = "Pouvoir suprême de Shattrath",      -- Shattrath Flask of Supreme Power
	["Blinding Light of Shattrath"] = "Blinding Light of Shattrath",     -- Shattrath Flask of Blinding Light
	["Pure Death of Shattrath"] = "Pure Death of Shattrath",         -- Shattrath Flask of Pure Death
-- temporary weapon/shield buffs
-- these check the buff descriptions on the weapon tooltip.
	["^([%a]+ Ward of Shielding)"] = "^([%a]+ Ward of Shielding)",      -- regex for (Lesser|Greater) Ward of Shielding
	["^(Weighted %(%+%d+ [^%)]+%))"] = "^(Weighted %(%+%d+ [^%)]+%))",    -- regex for Sharpened (+\d+ Damage) -- Sharpening Stones
	["^(Sharpened %(%+%d+ [^%)]+%))"] = "^(Sharpened %(%+%d+ [^%)]+%))",   -- regex for Weighted (+\d+ Damage) -- Weightstones
	["^([%a-]+ Poison ?[IVX]*)"] = "^([%a-]+ Poison ?[IVX]*)",        -- regex for (Anesthtic|Deadly|Crippling|Wound|Instant|Mind-numbing) Poison (I|II|III|IV|V|VI|VII)
	["^([%a]+ Mana Oil)"] = "^([%a]+ Mana Oil)",               -- regex for (Minor|Superior|Brillant|Blessed) Mana Oil
	["^([%a]+ Wizard Oil)"] = "^([%a]+ Wizard Oil)",             -- regex for (Minor|Superior|Brillant|Blessed) Wizard Oil
	["^(Wizard Oil)"] = "^(Wizard Oil)",                   -- regex for Wizard Oil
	["^(Frost Oil)"] = "^(Frost Oil)",                    -- regex for Frost Oil
	["^(Shadow Oil)"] = "^(Shadow Oil)",                   -- regex for Shadow Oil
	["^([%a]+ Weapon Coating)"] = "^([%a]+ Weapon Coating)",         -- regex for 2.4 Blessed|Righteous) Weapon Coatings
-- buff indicators
	["Zone"] = "Zone",       -- not in same zone
	["Battle"] = "Battle",     -- battle elixir
	["Guardian"] = "Guardian",   -- guardian elixir
	["Food"] = "Ration",       -- food
	["WeapBuff"] = "WeapBuff",   -- weapon buff
	["Crusader"] = "Crusader",   -- paladin crusader aura
	["ShadResist"] = "ShadResist", -- paladin shadow resistance aura
	["Pet"] = "Pet",        -- hunter/lock pet
	["Aspect"] = "Aspect",     -- hunter aspect
	["AoBeast"] = "AoBeast",    -- hunter aspect of the beast self buff
	["AoPack"] = "AoPack",     -- hunter aspect of the pack party buff
	["Armor"] = "Armor",      -- mage/lock armor self buff
	["InnerFire"] = "InnerFire",  -- priest inner fire self buff
	["ShadProt"] = "ShadProt",   -- priest shadow protection buff
	["Fort"] = "Fort",       -- priest fortification buff
	["Wild"] = "Wild",       -- druid mark/gift of the wild buff
	["Int"] = "Int",        -- mage intellect buff
	["Pvp"] = "Pvp",        -- pvp flagged
	["Trueshot"] = "Trueshot",   -- hunter trueshot aura
	["Spirit"] = "Spirit",     -- priest divine spirit buff
	["Blessings"] = "Blessings",  -- paladin blessing buff
	["Wis"] = "Wis",        -- paladin blessing of wisdom buff
	["Might"] = "Might",      -- paladin blessing of might buff
	["Salv"] = "Salv",       -- paladin blessing of salvation buff
	["RFury"] = "RFury",      -- paladin righteous fury self buff
	["Thorns"] = "Epines",     -- druid thorns buff
	["Aura"] = "Aura",       -- paladin aura
	["Soulstone"] = "Soulstone",  -- warlock soulstone buff
} end)
